Subject: OSPF on FA-LSP

From: "Sudhanshu Jain" <[email-masked]>
Date: Tue, 5 Sep 2000 11:00:37 -0700

Hi All,

I am looking for OSPF procedure on Forwarding Adjacency(FA)-LSP. Is there any specific work done on that?

Assume a FA-LSP without any control packet flowing through the FA-LSP. 

In such a case, is it possible to use procedures similar to section 5.1 in draft-kompella-lsp-hierarchy-00.txt (section 5.1) for OSPF with or without un-numbered support?

Thanks,
-Sudhanshu

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 5 Sep 2000 12:53:12 -0700 (PDT)

Hi Sudhanshu,

> One of the reason is these FA-LSP could be STS switched path but these path
> are TDM capable ( e.g STS-48 which is allowed to set 16 STS-3 channel).
> 
> For this purpose, one possibility is to have a dedicated Control channel and
> let all control traffic flow on it. Or use some other indirect method to
> learn route on it.

I'm not sure I understand.  However, note that we assume that the "LSRs"
in an optical network are all running OSPF (or ISIS).  So, the head end
and the tail end of the FA-LSP should already be 'connected' by OSPF.
Route and TE information are flooded using standard OSPF mechanisms.

As for a control channel, some means of communicating control info
between every pair of adjacent LSRs is also assumed.  Remote
communication is only needed (we think) for RSVP signalling of tunneled
LSPs (hence section 5.1); this is not needed for OSPF or ISIS.

But if you think remote OSPF is needed, perhaps virtual links are what
you want?

Kireeti.